Page MenuHomePhabricator

Search request failures when offset+limit is out of bounds (cirrussearch-backend-error)
Closed, ResolvedPublic

Description

One of my queries (which should be run from bot account) is failing with error:

<?xml version="1.0"?>
<api servedby="mw1347">
  <error code="cirrussearch-backend-error" info="We could not complete your search due to a temporary problem. Please try again later." xml:space="preserve">See https://ru.wikipedia.org/w/api.php for API usage. Subscribe to the mediawiki-api-announce mailing list at &amp;lt;https://lists.wikimedia.org/mailman/listinfo/mediawiki-api-announce&amp;gt; for notice of API deprecations and breaking changes.</error>
</api>

I don't know if its reproducing is stable, but, please, try to fix it.

Related Objects

Event Timeline

Vort created this task.Jan 14 2019, 5:55 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptJan 14 2019, 5:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

You're probably reaching the max value for offset+limit. A clear error message should be presented but it's not.
Please see T177270 for more details on the limations of offset+limit.

Vort added a comment.Jan 14 2019, 6:09 PM

I thought that results are limited, not requests.

dcausse renamed this task from API request failure (cirrussearch-backend-error) to Search request failures when offset+limit is out bounds (cirrussearch-backend-error) .Jan 15 2019, 8:02 AM
dcausse triaged this task as High priority.
dcausse moved this task from needs triage to Current work on the Discovery-Search board.
dcausse claimed this task.Jan 15 2019, 8:05 AM

This is a regression, previously the requests asking out of bounds offset/limit were automatically corrected and did not produce an error, the API request you pasted is one of them.
Sorry for the inconvenience.

dcausse renamed this task from Search request failures when offset+limit is out bounds (cirrussearch-backend-error) to Search request failures when offset+limit is out of bounds (cirrussearch-backend-error) .Jan 15 2019, 8:05 AM

Change 484361 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Fix regression on out of bounds offset+limit

https://gerrit.wikimedia.org/r/484361

Change 484361 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Fix regression on out of bounds offset+limit

https://gerrit.wikimedia.org/r/484361

debt closed this task as Resolved.Jan 18 2019, 7:17 PM